<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8"/>
    <title>Edit Ingredient</title>
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous"
          th:href="@{/webjars/bootstrap/3.3.7-1/css/bootstrap.min.css}">

    <script src="/webjars/jquery/1.11.1/jquery.min.js"></script>

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
            integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
            crossorigin="anonymous" th:src="@{/webjars/bootstrap/3.3.7-1/js/bootstrap.min.js}"></script>
</head>
<body>

<div class="container-fluid" style="margin-top: 20px">
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <!--/*@thymesVar id="ingredient" type="guru.springframework.commands.IngredientCommand"*/-->
            <form th:object="${ingredient}" th:action="@{'/recipe/' + ${ingredient.getRecipeId()} + '/ingredient'} ">
                <input type="hidden" th:field="*{id}"/>
                <div class="pannel-group">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <h1 class="panel-title">Edit Ingredient Information</h1>
                        </div>
                        <div class="panel-body">


                            <div class="row">
                                <div class="col-md-3 form-group">
                                    <label>Description:</label>
                                    <input type="text" class="form-control" th:field="*{description}"/>
                                </div>

                                <div class="col-md-3 form-group">
                                    <label>Amount:</label>
                                    <input type="number" class="form-control" th:field="*{amount}"/>
                                </div>

                                <div class="col-md-3 form-group">
                                    <label>UOM:</label>
                                    <select class="form-control" name="unitOfMeasure.id">
                                        <option th:each="uomEach : ${uomList}"
                                                th:value="${uomEach.id}"
                                                th:selected="${uomEach.id.equals(ingredient.unitOfMeasure.id)}"
                                                th:text="${uomEach.description}">Each
                                        </option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>